:host {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

.title {
  margin-bottom: 30px;
}


.instruction {
  font-size: 1rem;
  max-width: 250px;
  text-align: center;
}

strong {
  font-weight: 700;
}

.lengths-container {
  display: flex;
  max-width: 135px;
  flex-wrap: wrap;
  gap: 15px;
  justify-content: center;
  margin-top: 30px;
  .theme-button {
    font-weight: 700;
    min-width: unset;
    padding: 0;
    width: 35px;

    &.random {
      width: 100%;
      text-transform: none;
    }

    &.selected {
      background-color: #000000;
      color: #FFFFFF;
    }
  }
}

.theme-button.primary {
  margin-top: 40px;
}
